{% extends 'vagasifrn/base.html' %}

{% block titulo %}Painel da Diretoria de Extensão{% endblock %}

{% block principal %}
    <h3>Empresas Parceiras a serem Validadas:</h3>
    {% if service.possui_invalidas %}
        <ul>
        {% for instituicao in service.get_invalidas %}
            <li><b>{{ instituicao.nome }}</b>
            (<a href="#">ver detalhes</a>
            | <a href="#">validar</a>)</li>
        {% endfor %}
        </ul>
    {% else %}
        <p><i>Nenhuma Empresa Parceira a validar!</i></p>
    {% endif %}

    <h3>Lista das Empresas Parceiras Validadas:</h3>
    {% if service.possui_validas %}
        <ul>
        {% for instituicao in service.get_validas %}
            <li>
                <b>{{ instituicao.nome }}</b>
                (<a href="#">ver detalhes</a>)
                {% if instituicao.vagas_a_validar > 0 %}
                    - <b>com {{ instituicao.vagas_a_validar }}
                    vaga{{ instituicao.vagas_a_validar | pluralize }}
                    a validar!</b>
                {% endif %}
            </li>
            {% if instituicao.vagas_nao_validas %}
                <ul>
                    {% for vaga in instituicao.vagas_nao_validas %}
                        <li>
                            {{ vaga.num_vagas }} vagas para {{ vaga.funcao }},
                            com remuneração de R$ {{ vaga.remuneracao }}
                            (<a href="{% url 'vagasifrn:vaga' vaga.id %}">ver detalhes</a>
                             para validar)
                        </li>
                    {% endfor %}
                </ul>
            {% endif %}
        {% endfor %}
        </ul>
    {% else %}
        <p><i>Nenhuma Empresa Parceira validada!</i></p>
    {% endif %}
{% endblock %}